Hydrilla
Get API Key
GET/v1/modelsFree · 0 credits

List Models & Capabilities

Returns all currently available 3D reconstruction and 2D concept generation models, active versions, and credit costs.

AuthenticationAuthorization: Bearer hyd_live_your_api_key_here
Base URLhttps://backend.hydrilla.ai

Overview

Returns all currently available 3D reconstruction and 2D concept generation models, active versions, and credit costs.

Response

Successful requests return the job object. Errors use the status codes below.

Authentication errors

401 — Invalid or revoked API key. 402 — Not enough credits.

bashrequest.sh
curl -X GET https://backend.hydrilla.ai/v1/models \
  -H "Authorization: Bearer hyd_live_your_api_key_here"
json200_SUCCESS.json
{
  "models": [
    {
      "id": "bluefox-1",
      "type": "3d",
      "provider": "hydrilla",
      "name": "BlueFox 3D v1",
      "credits": 2,
      "max_resolution": 1536
    },
    {
      "id": "gpt-image-2.5-flare",
      "type": "image",
      "provider": "openai",
      "name": "GPT Image 2.5 Flare",
      "credits": 1
    },
    {
      "id": "gemini-3.1-flash-image",
      "type": "image",
      "provider": "gemini",
      "name": "Gemini 3.1 Flash Image",
      "credits": 1
    }
  ]
}
Response fields
  • models array
    • id string
    • type string
    • provider string
    • name string
    • credits number
    • max_resolution number

Was this page helpful?